const std = @import("std");
const serializeMap = @import("json.zig").serializeMap;
const smithy = @import("smithy");

const Self = @This();
pub const version: []const u8 = "2020-08-01";
pub const sdk_id: []const u8 = "amp";
pub const arn_namespace: []const u8 = "aps";
pub const endpoint_prefix: []const u8 = "";
pub const sigv4_name: []const u8 = "aps";
pub const name: []const u8 = "AmazonPrometheusService";
pub const aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1;

pub const service_metadata: struct {
    version: []const u8 = "2020-08-01",
    sdk_id: []const u8 = "amp",
    arn_namespace: []const u8 = "aps",
    endpoint_prefix: []const u8 = "",
    sigv4_name: []const u8 = "aps",
    name: []const u8 = "AmazonPrometheusService",
    aws_protocol: smithy.AwsProtocol = smithy.AwsProtocol.rest_json_1,
} = .{};
